/*	-*- C++ -*-
 * Copyright (C) 2001,  Christof Meerwald <cmeerw@web.de>
 * http://xpcom2corba.sunsite.dk/
 */

/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License
 * at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific language governing rights and
 * limitations under the License.
 *
 * The Original Code is the XPCOM-CORBA Bridge package.
 *
 * The Initial Developer of the Original Code is Christof Meerwald.
 * Portions created by Christof Meerwald are Copyright (C) 2001
 * Christof Meerwald.  All Rights Reserved.
 *
 * Contributor(s): Christof Meerwald <cmeerw@web.de> (original author)
 */
#ifndef HEADER__CORBA4XPCOM_IMPL__INCLUDED
#define HEADER__CORBA4XPCOM_IMPL__INCLUDED

#include "Icorba4xpcom.h"

#include <CORBA.h>

/* 90d3c597-2b38-461f-bbd3-3f114c220106 */
#define CORBA_ORBPROXY_CID \
{ 0x90d3c597, 0x2b38, 0x461f, {0xbb, 0xd3, 0x3f, 0x11, 0x4c, 0x22, 0x01, 0x06}}

#define CORBA_ORBPROXY_CONTRACTID "@cellml.org/CORBA/ORB;1"

class CORBA_ORBProxy_Impl
  : public CORBA_IORBProxy
{
 public:
  NS_DECL_ISUPPORTS
  NS_DECL_CORBA_IORBPROXY

  CORBA_ORBProxy_Impl();
  virtual ~CORBA_ORBProxy_Impl();

  /* additional members */
 private:
  CORBA::ORB_var orb_;

  static char *ORB_argv_[];
  static int ORB_argc_;
};

#endif
